# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::ShadeModel Class Reference

RenderState wrapping the OpenGL function glShadeModel(), see also http://www.opengl.org/sdk/docs/man/xhtml/glShadeModel.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::ShadeModel:

List of all members.

## Public Member Functions

| ShadeModel (EShadeModel shademodel=SM_SMOOTH)
virtual ERenderState | type () const
virtual void | apply (int index, const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (EShadeModel shademodel)
EShadeModel | shadeModel () const
virtual ref< RenderState > | clone () const

## Protected Attributes

EShadeModel | mShadeModel

## Detailed Description

RenderState wrapping the OpenGL function glShadeModel(), see also http://www.opengl.org/sdk/docs/man/xhtml/glShadeModel.xml for more information.

See also:
  Shader, Effect, Actor

Definition at line 567 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::ShadeModel::ShadeModel | ( | EShadeModel | shademodel = `SM_SMOOTH` ) | `[inline]`

Definition at line 572 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual ERenderState vl::ShadeModel::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 577 of file Shader.hpp.

References vl::RS_ShadeModel.

void ShadeModel::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 295 of file Shader.cpp.

References mShadeModel, and VL_CHECK_OGL.

void vl::ShadeModel::set | ( | EShadeModel | shademodel ) | `[inline]`

Definition at line 581 of file Shader.hpp.

EShadeModel vl::ShadeModel::shadeModel | ( | ) | const`[inline]`

Definition at line 583 of file Shader.hpp.

virtual ref<RenderState> vl::ShadeModel::clone | ( | ) | const`[inline, virtual]`

Implements vl::RenderState.

Definition at line 585 of file Shader.hpp.

## Member Data Documentation

EShadeModel vl::ShadeModel::mShadeModel`[protected]`

Definition at line 593 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:51.
Permission is granted to use this page to write and publish articles regarding Visualization Library.